<?php
if (!class_exists('System')) exit; // Запрет прямого доступа

function bbcode($html){
	return '<pre><code>'.trim($html[1]).'</code></pre>';
}


function ptext($text){
	$text = preg_replace_callback('#\[code\](.*?)\[/code\]#si', 'bbcode', $text);
	$text = preg_replace('#\[b\](.*?)\[/b\]#si', '<span style="font-weight: bold;">\1</span>', $text);
	$text = preg_replace('#\[red\](.*?)\[/red\]#si', '<span style="color: #E53935;">\1</span>', $text);
	$text = str_replace("\n",'<br>',$text);
	$text = specfilter($text);
	return $text;
}


$newsStorage = new EngineStorage('module.news2');
$newsConfig = json_decode($newsStorage->get('newsConfig'));
if(!isset($newsConfig->idUser)) $newsConfig->idUser = 'user';
if(!isset($newsConfig->idPage)) $newsConfig->idPage = 'news';



if($MODULE_URI == '/' || $URI[2] == 'nav'){
	if(($lastComments = json_decode($newsStorage->get('lastComments'), true)) == false){
				$return = '<p>Нет ни одного комментария</p>';
	}else{
		$return = '<div id="moduleNewsComments"><div id="comments">';

		//перевернули масив для вывода новостей в обратном порядке
				$lastComments = array_reverse($lastComments);
				$nom = count($lastComments);

				if ($nom > 3000 && $status == 'admin'){
					echo'<script type="text/javascript">
					alert(\'Сообщение для администратора! Хранилище последних комментариев переполнено, требуется его очистка.\');
					</script>';
				}
				
				//определили количество страниц
				$countPage = ceil($nom / 50); 
				
				//проверка правельности переменной с номером страницы
				if(isset($_GET['nom_page'])){$nom_page = $_GET['nom_page'];}else{ $nom_page = 1; }
				if(!is_numeric($nom_page) || $nom_page <= 0 || $nom_page > $countPage){ $nom_page = 1; }

				if(isset($URI[3])){$nom_page = $URI[3];}else{ $nom_page = 1; }
				if(!is_numeric($nom_page) || $nom_page <= 0 || $nom_page > $countPage){ $nom_page = 1; }
				
				//начало навигации
				if($nom_page > 0){$i = ($nom_page - 1) * 50;}
				$var = $i + 50;
				
				$count = 0;
				while($i < $var){
					if($i < $nom){
						
						if ($lastComments[$i]['published']){
							$return.= '<div class="comment" id="comment'.$lastComments[$i]['id'].'">
								<div class="commentHead">
									<a href="/'.$newsConfig->idUser.'/'.$lastComments[$i]['login'].'" class="author">'.$lastComments[$i]['login'].'</a>
									'.($lastComments[$i]['status'] == 'gost'?'<span class="gost">Гость</span>':'').'
									<span class="time">'.human_time(time() - $lastComments[$i]['time']).' назад</span><br>
									Страница: <a href="//'.SERVER.'/'.$newsConfig->idPage.'/'.$lastComments[$i]['idNews'].'#moduleNewsComments" target="_blank">'.SERVER.'/'.$newsConfig->idPage.'/'.$lastComments[$i]['idNews'].'</a>
								</div>
								<div class="commentContent">'.ptext($lastComments[$i]['text']).'</div>
							</div>';
							++$count;
						}
					}
					++$i;
				}
				
				if ($count == 0){
					$return.= '<p class="noComments">Нет ни одного комментария</p>';
				}
				
				if($countPage > 1){	  
					//навигация по номерам страниц
					$return.= '<div class="navigation"><span class="navigation_header">Страницы: </span>';
					
					$a = $nom_page - 3;
					$b = $nom_page + 3;
					
					if($a > 1){
						$return.= '<a href="/'.$URI[1].'/nav/1" class="link first">1</a>';
						if($a > 2){ $return.= '<span class="space">&nbsp;</span>'; }
					}
					while($a <= $b){
						if(($a > 0) && ($a <= $countPage)){
							if($nom_page == $a){
								$return.= '<span class="this">'.$a.'</span>';
							}else{
								$return.= '<a href="/'.$URI[1].'/nav/'.$a.'" class="link">'.$a.'</a>';
							}
						}
					++$a;
					}
					if($b < $countPage){
						if($b < ($countPage - 1)){ $return.= '<span class="space">&nbsp;</span>'; }
						$return.= '<a href="/'.$URI[1].'/nav/'.$countPage.'" class="link last">'.$countPage.'</a>';
					}
					
					$return.= '</div>';
					//конец навигации*/
				}
		$return.= '</div></div>';
	}

	
}else{
	header(PROTOCOL.' 404 Not Found'); require('./pages/404.html'); ob_end_flush(); exit();
}


return $return;
?>